-- MySQL Script generated by MySQL Workbench
-- Thu Jan 24 15:29:02 2019
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema ore
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema ore
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `ore` DEFAULT CHARACTER SET utf8 ;
USE `ore` ;

-- -----------------------------------------------------
-- Table `ore`.`usuario`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ore`.`usuario` (
  `idusuario` INT NOT NULL AUTO_INCREMENT,
  `nome` VARCHAR(45) NULL,
  `tipo` VARCHAR(45) NULL,
  `email` VARCHAR(45) NULL,
  `senha` VARCHAR(45) NULL,
  PRIMARY KEY (`idusuario`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ore`.`categoria`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ore`.`categoria` (
  `idcategoria` INT NOT NULL AUTO_INCREMENT,
  `nome` VARCHAR(45) NULL,
  PRIMARY KEY (`idcategoria`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ore`.`postagem`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ore`.`postagem` (
  `idpostagem` INT NOT NULL AUTO_INCREMENT,
  `usuario_idusuario` INT NOT NULL,
  `categoria_idcategoria` INT NOT NULL,
  `titulo` VARCHAR(45) NULL,
  `imagem` VARCHAR(45) NULL,
  `contedo` VARCHAR(45) NULL,
  PRIMARY KEY (`idpostagem`, `usuario_idusuario`, `categoria_idcategoria`),
  INDEX `fk_usuario_has_categoria_categoria1_idx` (`categoria_idcategoria` ASC),
  INDEX `fk_usuario_has_categoria_usuario_idx` (`usuario_idusuario` ASC),
  CONSTRAINT `fk_usuario_has_categoria_usuario`
    FOREIGN KEY (`usuario_idusuario`)
    REFERENCES `ore`.`usuario` (`idusuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_usuario_has_categoria_categoria1`
    FOREIGN KEY (`categoria_idcategoria`)
    REFERENCES `ore`.`categoria` (`idcategoria`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ore`.`usuario_has_categoria`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ore`.`usuario_has_categoria` (
  `usuario_idusuario` INT NOT NULL,
  `categoria_idcategoria` INT NOT NULL,
  `id_postagem` VARCHAR(45) NULL,
  PRIMARY KEY (`usuario_idusuario`, `categoria_idcategoria`),
  INDEX `fk_usuario_has_categoria_categoria2_idx` (`categoria_idcategoria` ASC),
  INDEX `fk_usuario_has_categoria_usuario1_idx` (`usuario_idusuario` ASC),
  CONSTRAINT `fk_usuario_has_categoria_usuario1`
    FOREIGN KEY (`usuario_idusuario`)
    REFERENCES `ore`.`usuario` (`idusuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_usuario_has_categoria_categoria2`
    FOREIGN KEY (`categoria_idcategoria`)
    REFERENCES `ore`.`categoria` (`idcategoria`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
